#*****************************************************************************
#*****************************************************************************
#
#               Root Makefile for camera viewer
#
#               $Revision: 
#               $Date: 09/15/2006
#               $Author: fojtik $
#
#               Copyright 1994-2008 Inc.
#
#*****************************************************************************
#*****************************************************************************

# set path to Unix utilities at Humusoft
UNIXUTILS := x:/unxutils
RM    := $(UNIXUTILS)/$(RM)
MKDIR := $(UNIXUTILS)/$(MKDIR)

all :
	$(MAKE) -C WXWIDGETS -f makefile.gnu
	$(MAKE) -f CamView.mak
	$(MAKE) -C WXWIDGETS -f makefile.gnu ARCH=win64
	$(MAKE) -f CamView.mak ARCH=win64

clean :
	$(MAKE) -f CamView.mak clean
	$(MAKE) -f CamView.mak clean ARCH=win64
	$(MAKE) -f CamView.mak clean DEBUG=1
	$(MAKE) -f CamView.mak clean ARCH=win64 DEBUG=1
	$(RM) -r vc_mswd/ vc_msw/ CE*.ini

debug :
	$(MAKE) -C WXWIDGETS -f makefile.gnu DEBUG=1
	$(MAKE) -f CamView.mak DEBUG=1
	$(MAKE) -C WXWIDGETS -f makefile.gnu DEBUG=1 ARCH=win64
	$(MAKE) -f CamView.mak DEBUG=1 ARCH=win64
